<md-card>
  <div fxLayout="row" fxLayoutAlign="space-around center">

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-2'>
      <img *ngIf="user.hasPicture" [src]="imgUrl" class="img-circle img-small">
      <md-icon class="avatar" *ngIf="!user.hasPicture">face</md-icon>
    </div>

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-3'>
      <h4>Name</h4>
      <span>{{user.firstName}} {{user.lastName}}</span>
    </div>

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-2'>
      <h4>Role</h4>
      <span>{{user.role}}</span>
    </div>

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-3'>
      <h4>Registered</h4>
      <span>{{user.regDate}}</span>
    </div>

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-3'>
      <div *ngIf="user.id!==1 && user.id !== getLoggedId()">
        <app-toggle-approval [userId]="user.id" [isApproved]="user.approved"></app-toggle-approval>
      </div>
      <span *ngIf="user.id==1 || user.id == getLoggedId()">User approved</span>
    </div>

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-1'>
      <div *ngIf="user.id !== 1">
        <a md-mini-fab class="button" *ngIf="user.id !== getLoggedId()" mdTooltip="Edit User" [routerLink]="['/admin/users', user.id]">
          <md-icon>edit</md-icon>
        </a>
        <a md-mini-fab class="button" *ngIf="user.id == getLoggedId()" mdTooltip="Edit User" [routerLink]="['/settings']">
          <md-icon>edit</md-icon>
        </a>
      </div>
      <div *ngIf="user.id === 1">
        Super Admin
      </div>
    </div>

    <div fxLayout="column" fxLayoutAlign="space-around center" class='col-1'>
      <div *ngIf="user.id!==1 && user.id !== getLoggedId()">
        <a md-mini-fab class="button" mdTooltip="Delete User" (click)="deleteUser()">
          <md-icon>delete_forever</md-icon>
        </a>
      </div>
    </div>

  </div>
</md-card>
